%define	name	dictd
%define	version	1.9.1
%define	release	2mdk

# For the client
%define c_summary	DICT client
%define c_title		%{c_summary}
%define c_longtitle	Client software implementing the Dictionary Server Protocol
%define	c_group		Text tools
%define c_section	Applications/%{c_group}
%define c_icon		dict-client.png

Summary:	Client/server software implementing the Dictionary Server Protocol
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Databases
URL:		http://www.dict.org/
Source0:	ftp://ftp.dict.org/pub/dict/%{name}-%{version}.tar.bz2
Source1:	%{name}.init.bz2
Source2:	%{name}.sysconfig.bz2
Source3:	http://www.dict.org/gifs/dict_logo2_tr.gif.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	ImageMagick, libtool-devel

%description 
The DICT Protocol, described in RFC 2229 is a TCP transaction based
query/response protocol that allows a client to access dictionary
definitions from a set of natural language dictionary databases.

This package contains documentation about DICT.


%package client
Summary:	%{c_summary}
Group:		%{c_group}
Requires:	dictd = %{version}-%{release}

%description client
The DICT Protocol, described in RFC 2229 is a TCP transaction based
query/response protocol that allows a client to access dictionary
definitions from a set of natural language dictionary databases.

This packages contains dict(1) which can access DICT servers from the
command line.

%package server
Summary:	DICT server
Group:		System/Servers
Requires:	dictd = %{version}-%{release}
PreReq:		chkconfig, rpm-helper
Requires:	dictd-dictionaries, dictd-dictionary

%description server
The DICT Protocol, described in RFC 2229 is a TCP transaction based
query/response protocol that allows a client to access dictionary
definitions from a set of natural language dictionary databases.

This packages contains dictd(8) which is a server supporting the DICT
protocol.

%prep
%setup -q 

perl -pi -e 's!/usr/lib/dict!%{_datadir}/dict!g' dictd.conf example.conf

%build
## Setting Mandrake values for nobody
%configure2_5x --with-cflags="$RPM_OPT_FLAGS -DUID_NOBODY=99 -DUID_NOGROUP=99"
#./configure --with-cflags="$RPM_OPT_FLAGS -DUID_NOBODY=99 -DUID_NOGROUP=99"
# Do NOT use %make here!  Compiliation *WILL* fail!
make

%install
%{__rm} -rf %{buildroot}
%{__mkdir_p} %{buildroot}{%{_bindir},%{_sbindir},%{_mandir}/man{1,8},%{_sysconfdir}/sysconfig,%{_initrddir}}

##make DESTDIR=$RPM_BUILD_ROOT install
%makeinstall man1_prefix=%{buildroot}%{_mandir}/man1 man8_prefix=%{buildroot}%{_mandir}/man8

echo "server localhost" > dict.conf
cp dict.conf  %{buildroot}%{_sysconfdir}/
bzip2 -cd %{SOURCE1} > %{buildroot}%{_initrddir}/%{name}-server
bzip2 -cd %{SOURCE2} > %{buildroot}%{_sysconfdir}/sysconfig/%{name}

# Mandrake menu stuff
mkdir -p %{buildroot}%{_menudir}
cat > %buildroot%{_menudir}/%{name}-client << EOF
?package(%{name}-client): \
    command="%{_bindir}/dict" \
    title="%{c_title}" \
    longtitle="%{c_longtitle}" \
    section="%{c_section}" \
    icon="%{c_icon}" \
    needs="text"
EOF

# Icons
mkdir -p %{buildroot}{%{_liconsdir},%{_liconsdir},%{_miconsdir}}
bzip2 -cd %{SOURCE3} | convert - -geometry 48 %{buildroot}%{_liconsdir}/%{c_icon}
bzip2 -cd %{SOURCE3} | convert - -geometry 32 %{buildroot}%{_iconsdir}/%{c_icon}
bzip2 -cd %{SOURCE3} | convert - -geometry 16 %{buildroot}%{_miconsdir}/%{c_icon}

# Ghosts
mkdir -p %{buildroot}/var/lock/subsys
touch %{buildroot}/var/lock/subsys/dictd-server

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%post server
%_post_service %{name}
mkdir -p /var/lock/subsys
%create_ghostfile /var/lock/subsys/dictd-server root root 755

%preun server
%_preun_service %{name}

%post client
%{update_menus}

%postun client
%{clean_menus}

%files
%defattr(644,root,root,755)
%doc ANNOUNCE COPYING ChangeLog INSTALL README TODO %{name}.conf
%doc example.conf example.dictrc example.site example2.conf example3.conf
%attr(755,root,root) %dir %doc doc
%attr(644,root,root) %doc doc/*
%attr(755,root,root) %{_bindir}/dictzip
%attr(755,root,root) %{_bindir}/dictfmt*
%{_includedir}/dictdplugin.h
%{_libdir}/libdictdplugin.a

%files server
%defattr(-,root,root)
%doc %{_mandir}/man8/*
%config(noreplace) %attr(0755,root,root) %{_initrddir}/%{name}-server
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/sysconfig/%{name}
%{_sbindir}/*
%{_bindir}/dictdplugin-config
%ghost %attr(755,root,root) /var/lock/subsys/dictd-server


%files client
%defattr(644,root,root,755)
%doc dictd.conf
%defattr(-,root,root)
%doc %{_mandir}/man1/*
%config(noreplace) %attr(0644,root,root) %{_sysconfdir}/dict.conf
%{_bindir}/dict
%{_menudir}/%{name}-client
%{_miconsdir}/%{c_icon}
%{_iconsdir}/%{c_icon}
%{_liconsdir}/%{c_icon}

%changelog
* Sat Apr 26 2003 Alexander Skwar <ASkwar@DigitalProjects.com> 1.9.1-2mdk
- Add explicit BuildRequires: libtool-devel, to make Stefans 
  build robot be happy.

* Sat Dec 28 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.9.1-1mdk
- 1.9.1

* Fri Feb  8 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.5.5-2mdk
- Make the server require dictd-dictionary, which is provided
  by all the dict-dictionaries packages

* Fri Jan 25 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.5.5-1mdk
- First release for Mandrake, built upon the RedHat SPEC file

* Fri Jun 29 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- splitted (X)Emacs modules into own dictionary-el RPM

* Tue Jun 26 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- updated .el-modules to 1.3.2

* Wed Jun 13 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- added (X)Emacs-modules

* Wed May 30 2001 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- Fixed init-script
- Moved dictzip into main-package
- Added /etc/sysconfig/dictd-support

* Wed Sep 13 2000 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de>
- Made the paths FHS compliant
- Enabled build as non-root
- Splitted into seperate packages

* Sun Jan 16 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- fixed clean (damn I'm an idiot sometimes)

* Sat Jan 15 2000 Chris Ausbrooks <weed@bucket.pp.ualr.edu>
- updated to 1.5.0
- made relocatable
- cleaned up specfile
- added sysv init file
- modified config file
- moved data dir
- added post and preun
- note:  package would not build with 2.3 headers in /usr/src/linux.
-        worked fine with 2.2.13

* Tue Jul 14 1998 Anthony Y.P. Wong <ypwong@poboxes.com>
- original rpm
